> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Enrich Contacts



## OpenAPI

````yaml post /v1/contacts/enrich/bulk
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security:
  - APIKeyHeader: []
  - HTTPBearer: []
tags:
  - name: Contacts
    description: Enrich data about contacts.
paths:
  /v1/contacts/enrich/bulk:
    post:
      tags:
        - Contacts
      summary: Bulk Enrich Contacts
      operationId: bulk_enrich_contacts_v1_contacts_enrich_bulk_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_bulk_enrich_contacts_v1_contacts_enrich_bulk_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_bulk_enrich_contacts_v1_contacts_enrich_bulk_post:
      properties:
        upload:
          type: string
          contentMediaType: application/octet-stream
          title: Upload
      type: object
      required:
        - upload
      title: Body_bulk_enrich_contacts_v1_contacts_enrich_bulk_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````